Skip to main content
GET
Get app download status

Job visibility

Download jobs are visible only to the user the job runs as. If a job was started with a userId parameter, fetch the results with the same userId. Additionally, the specified user must still have access to the app when fetching the results using this endpoint.

Authorizations

Authorization
string
header
required

Can be either an Organization API Key or Personal Access Token (PAT).

Include in the Authorization header as: Bearer YOUR_TOKEN

Path Parameters

documentId
string
required

The document's URL slug (e.g. abc123) or its canonical workbook UUID.

Example:

"12db1a0a"

jobId
string<uuid>
required

The job ID returned by Initiate app download.

Example:

"123e4567-e89b-12d3-a456-426614174000"

Query Parameters

userId
string<uuid>

Organization API key required. The membership ID of the user to act as.

Response

Download job status.

created_at
string
required

When the job was created (ISO 8601)

Example:

"2026-10-13T18:30:00.000Z"

status
enum<string>
required

Current status of the download job:

  • in_progress while the app renders
  • complete once the file can be fetched
  • error if the job failed
Available options:
in_progress,
complete,
error
Example:

"complete"

error
string

Why the job failed. Present only when status is error.

format
enum<string>

Output format. Omitted when status is error.

Available options:
link_only,
pdf,
png,
csv,
xlsx,
json,
ai_prompt,
ai_summary_text
Example:

"png"

job_id
string

Download job ID. Omitted when status is error.